/*
Copyright (C) 2000-2010  Ministere de la culture et de la communication (France), AJLSM
See LICENCE file
*/
package fr.gouv.culture.sdx.utils.database;

import fr.gouv.culture.sdx.exception.SDXException;
import fr.gouv.culture.sdx.utils.AbstractSdxObject;

/**
 * An abstract representation of a database
 */
public abstract class AbstractDatabase extends AbstractSdxObject implements Database {


    public void optimize() throws SDXException {
    }

    protected String getClassNameSuffix() {
        return Database.CLASS_NAME_SUFFIX;
    }

}
